> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1businesses bills



## OpenAPI

````yaml /api-reference/openapi.json get /v1/businesses/{businessId}/bills
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/bills:
    get:
      tags:
        - BusinessBills
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: BusinessId
          in: query
          schema:
            type: integer
            format: int64
        - name: status
          in: query
          schema:
            type: array
            items:
              $ref: '#/components/schemas/BillsBillStatus'
        - name: FromDate
          in: query
          schema:
            type: string
            format: date-time
        - name: ToDate
          in: query
          schema:
            type: string
            format: date-time
        - name: DueDateFrom
          in: query
          schema:
            type: string
            format: date-time
        - name: DueDateTo
          in: query
          schema:
            type: string
            format: date-time
        - name: MinAmount
          in: query
          schema:
            type: number
            format: double
        - name: MaxAmount
          in: query
          schema:
            type: number
            format: double
        - name: VendorId
          in: query
          schema:
            type: integer
            format: int64
        - name: CustomerId
          in: query
          schema:
            type: integer
            format: int64
        - name: InvoiceNumber
          in: query
          schema:
            type: string
        - name: SearchTerm
          in: query
          schema:
            type: string
        - name: TransactionType
          in: query
          schema:
            $ref: '#/components/schemas/ModelsTransactionsSBTransactionType'
        - name: IsOverdue
          in: query
          schema:
            type: boolean
        - name: Page
          in: query
          schema:
            type: integer
            format: int32
        - name: PageSize
          in: query
          schema:
            type: integer
            format: int32
        - name: SortBy
          in: query
          schema:
            type: string
        - name: SortDirection
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  schemas:
    BillsBillStatus:
      enum:
        - DRAFT
        - PENDING_APPROVAL
        - APPROVED
        - READY_FOR_PAYMENT
        - SCHEDULED
        - PROCESSING
        - PAID
        - MARKED_PAID
        - DENIED
        - CANCELLED
        - PAYMENT_FAILED
      type: string
    ModelsTransactionsSBTransactionType:
      enum:
        - RECEIPT_OFFICIAL
        - RECEIPT_OCR
        - RECEIPT_HTML
        - RECEIPT_MANUAL
        - INVOICE_OFFICIAL
        - INVOICE_OCR
        - INVOICE_HTML
        - INVOICE_MANUAL
        - MILEAGE_EXPENSE
      type: string

````